Forum post delay setting only sticks after you clicked "Save"

Bug #996337 reported by Kristina Hoeppner on 2012-05-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Low
Aaron Wells
1.6
Low
Unassigned
1.7
Low
Unassigned
1.8
Low
Unassigned

Bug Description

When you have a fresh install of Mahara (tested it on a 1.5 and a master), the forum post delay setting which defaults to 30 minutes is not taken into consideration when you post a forum message.

Only when you go into the plugin itself /admin/extensions/pluginconfig.php?plugintype=interaction&pluginname=forum and click "Save" will it be used.

Changed in mahara:
status: New → Triaged
importance: Undecided → Low
tags: added: bite-sized
tags: added: forums
removed: forum
Robert Lyon (robertl-9) wrote :

Looks as though the variable is not getting set in the database on install - it was getting set if you upgraded from a site before 2009-08-17

Really need to have the setting of db value as a post install option in core_install_lastcoredata_defaults() [or similar] like how the flexible layouts changes (view_layout) are done.

Aaron Wells (u-aaronw) wrote :

So currently, as Robert mentioned, it doesn't *actually* set the interaction_forum/postdelay config setting at installation time. Confusingly, when you go to the config page for interaction_forum, though, if that config setting isn't set, it pre-fills the field with "30" which makes it look like it's set.

So in addition to *actually* setting the config to 30 at installation time, we should also change that form so that it *always* shows what the value really is.

Aaron Wells (u-aaronw) wrote :
Changed in mahara:
milestone: none → 1.9.0
status: Triaged → In Progress

Reviewed: https://reviews.mahara.org/2724
Committed: http://gitorious.org/mahara/mahara/commit/5fb2dd021c471c6a4319877e415f0f8ac170cdec
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 5fb2dd021c471c6a4319877e415f0f8ac170cdec
Author: Aaron Wells <email address hidden>
Date: Wed Nov 20 17:59:30 2013 +1300

Be honest about the forum post delay's current value

Bug 996337: We always treat it as an integer, so it makes the most sense
to just show the user this config's integer value.

Change-Id: Ia4b198b0f642b94e36995f91a5826125bd64434e

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2725
Committed: http://gitorious.org/mahara/mahara/commit/dedacfa40326e64dc5842ca18c6d5027ad32aadc
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit dedacfa40326e64dc5842ca18c6d5027ad32aadc
Author: Aaron Wells <email address hidden>
Date: Wed Nov 20 18:07:10 2013 +1300

Set the new install default forum post delay to 30 minutes

Bug 996337

Change-Id: I9a6f5b94fb05511ef0497a60fb133a390f3db46e

Robert Lyon (robertl-9) on 2013-11-24
Changed in mahara:
status: In Progress → Fix Committed
assignee: nobody → Aaron Wells (u-aaronw)
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2780
Committed: http://gitorious.org/mahara/mahara/commit/a26f631134d54042d611d708cd68f8f2651775ed
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.6_STABLE

commit a26f631134d54042d611d708cd68f8f2651775ed
Author: Aaron Wells <email address hidden>
Date: Wed Nov 20 17:59:30 2013 +1300

Be honest about the forum post delay's current value

Bug 996337: We always treat it as an integer, so it makes the most sense
to just show the user this config's integer value.

Change-Id: Ia4b198b0f642b94e36995f91a5826125bd64434e

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2781
Committed: http://gitorious.org/mahara/mahara/commit/72adce8604eeced8a799b42119fd112cf2fded23
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.6_STABLE

commit 72adce8604eeced8a799b42119fd112cf2fded23
Author: Aaron Wells <email address hidden>
Date: Wed Nov 20 18:07:10 2013 +1300

Set the new install default forum post delay to 30 minutes

Bug 996337

Change-Id: I9a6f5b94fb05511ef0497a60fb133a390f3db46e

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2782
Committed: http://gitorious.org/mahara/mahara/commit/719069721f6b77f1901d45ff02d0c86234b25388
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.7_STABLE

commit 719069721f6b77f1901d45ff02d0c86234b25388
Author: Aaron Wells <email address hidden>
Date: Wed Nov 20 17:59:30 2013 +1300

Be honest about the forum post delay's current value

Bug 996337: We always treat it as an integer, so it makes the most sense
to just show the user this config's integer value.

Change-Id: Ia4b198b0f642b94e36995f91a5826125bd64434e

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2783
Committed: http://gitorious.org/mahara/mahara/commit/743e52f1fae4ff4e1b01474b0c0166fccb6b3e43
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.7_STABLE

commit 743e52f1fae4ff4e1b01474b0c0166fccb6b3e43
Author: Aaron Wells <email address hidden>
Date: Wed Nov 20 18:07:10 2013 +1300

Set the new install default forum post delay to 30 minutes

Bug 996337

Change-Id: I9a6f5b94fb05511ef0497a60fb133a390f3db46e

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2784
Committed: http://gitorious.org/mahara/mahara/commit/9859f2622228c66c0c74c8d12644cdd2ae989c4e
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.8_STABLE

commit 9859f2622228c66c0c74c8d12644cdd2ae989c4e
Author: Aaron Wells <email address hidden>
Date: Wed Nov 20 17:59:30 2013 +1300

Be honest about the forum post delay's current value

Bug 996337: We always treat it as an integer, so it makes the most sense
to just show the user this config's integer value.

Change-Id: Ia4b198b0f642b94e36995f91a5826125bd64434e

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2785
Committed: http://gitorious.org/mahara/mahara/commit/a6af1b8f98f12b6c81b0e35ad4c014de26ffe8b3
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.8_STABLE

commit a6af1b8f98f12b6c81b0e35ad4c014de26ffe8b3
Author: Aaron Wells <email address hidden>
Date: Wed Nov 20 18:07:10 2013 +1300

Set the new install default forum post delay to 30 minutes

Bug 996337

Change-Id: I9a6f5b94fb05511ef0497a60fb133a390f3db46e

Aaron Wells (u-aaronw) on 2013-12-18
Changed in mahara:
status: Fix Committed → Fix Released
Aaron Wells (u-aaronw) on 2013-12-18
Changed in mahara:
status: Fix Released → Fix Committed
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers